org.apache.jmeter.assertions

## Class LogErrorHandler

- java.lang.Object
- - org.apache.jmeter.assertions.LogErrorHandler

All Implemented Interfaces:
  ErrorHandler

    public class LogErrorHandler
    extends Object
    implements ErrorHandler

`ErrorHandler` implementation that logs

Since:
  3.2

### Constructor Summary

Constructors
Constructor and Description
`LogErrorHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `error(SAXParseException exception)`
`void` `fatalError(SAXParseException exception)`
`void` `warning(SAXParseException exception)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LogErrorHandler

    public LogErrorHandler()

### Method Detail

#### warning

    public void warning(SAXParseException exception)
                 throws SAXException

Specified by:
  `warning` in interface `ErrorHandler`
Throws:
  `SAXException`

#### error

    public void error(SAXParseException exception)
               throws SAXException

Specified by:
  `error` in interface `ErrorHandler`
Throws:
  `SAXException`

#### fatalError

    public void fatalError(SAXParseException exception)
                    throws SAXException

Specified by:
  `fatalError` in interface `ErrorHandler`
Throws:
  `SAXException`